%define real_name CGI-Untaint

Summary:	CGI-Untaint Perl module: process CGI input parameters 
Name:		perl-%{real_name}
Version:	1.26
Release:	%mkrel 4
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:  perl-UNIVERSAL-exports
BuildRequires:  perl-CGI
BuildRequires:  perl-UNIVERSAL-require
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides a simple, convenient, abstracted and extensible
manner for validating and untainting the input from web forms.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/CGI/Untaint.pm
%{perl_vendorlib}/CGI/Untaint
%{_mandir}/*/*




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.26-4mdv2008.1
+ Revision: 136678
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-4mdv2008.0
+ Revision: 86064
- rebuild


* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.26-3mdk
- Fix BuildRequires

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.26-2mdk
- Fix BuildRequires
- make rpmbuildupdate happy

* Mon Sep 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.26-1mdk
- 1.26

* Thu Jul 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.25-1mdk
- 1.25

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdk
- initial Mandriva package

